Skip to main content

Create Applicant: Rent Manager

POSThttps://api.propexo.com/v1/applicants/rentmanager/
Method
POST /Prospects
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    last_namestringrequired

    The last name associated with the applicant

    first_namestring

    The first name associated with the applicant

    middle_namestring

    The middle name associated with the applicant

    email_1string<email>

    The primary email address associated with the applicant

    date_of_birthstring<date-time>

    The date of birth associated with the applicant

    address_1string

    The first address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    notesstring

    Notes associated with the applicant

    application_datestring

    The application date associated with the applicant. Specifying this ensures Rent Manager classifies this prospect as an applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    last_namestringrequired

    The last name associated with the applicant

    first_namestring | nullnullablerequired

    The first name associated with the applicant

    middle_namestring | nullnullablerequired

    The middle name associated with the applicant

    email_1(string | null)<email>nullablerequired

    The primary email address associated with the applicant

    date_of_birth(string | null)<date-time>nullablerequired

    The date of birth associated with the applicant

    address_1string | nullnullablerequired

    The first address line associated with the applicant

    citystring | nullnullablerequired

    The city associated with the applicant

    statestring | nullnullablerequired

    The state associated with the applicant

    zipstring | nullnullablerequired

    The zip code associated with the applicant

    notesstring | nullnullablerequired

    Notes associated with the applicant

    application_datestring | nullnullablerequired

    The application date associated with the applicant. Specifying this ensures Rent Manager classifies this prospect as an applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    custom_data object | nullrequireddeprecated
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/applicants/rentmanager/
curl -X POST https://api.propexo.com/v1/applicants/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"notes": "string",
"application_date": "2024-07-29T15:51:28.071Z"
}
}